Branches/4.0/upgrade

Материал из ALT Linux Wiki
< Branches‎ | 4.0(перенаправлено с «Changes/Branch40»)
Перейти к: навигация, поиск
Freesource-logo.png Blue Glass Arrow.svg MediaWiki logo.png
Эта страница была перемещена с freesource.info.
Эта страница наверняка требует чистки и улучшения — смело правьте разметку и ссылки.
Просьба по окончанию убрать этот шаблон со страницы.

Обновление ALT Linux 3.0 до 4.0[править]

По мотивам апгрейда одной машины с имеющимися точечными обновлениями из сизифа, а также тестовой машины с установленным «с нуля» минимальным Compact 3.0 с KDE.

  1. Установка ядра.
    apt-get install kernel-image-std-smp установит само ядро. Если используются специфические модульные пакеты для поддержки оборудования, то стоит их добавить для установки. Тип ядра не принципиален. Здесь же apt обновляет glibc и udev.
    Проблема: конфликт с rp-pppoe-client
    Решение: rpm -e rp-pppoe-client etcnet-full
  2. Установка и настройка загрузчика.
    1. Установка новой версии загрузчика lilo и добавление bootsplash ядра и картинки для lilo:
      apt-get install design-bootsplash-server design-bootloader-server lilo
    2. Начиная с версии ядра 2.6.18 убрано деление на smp — не-smp ядра и при установке нового ядра линки /boot/vmlinuz-up и /boot/initrd-up.img не обновляются. А конфиге /etc/lilo.conf по умолчанию используются именно эти линки для указания загрузки по умолчанию. Поэтому необходиvо отредактировать строки с такими именами — просто удалите суффикс «-up» (то есть получатся /boot/vmlinuz и /boot/initrd.img)
    3. Этот шаг можно пропустить, если не нужен botsplash ядра.
      Перегенерировать initrd:
      mkinitrd -f /boot/initrd-2.6.18-std-smp-alt6.img 2.6.18-std-smp-alt6
    4. Этот шаг можно пропустить, если не нужен bootsplash ядра. Картинки оптимизированы для разрешения 1024x768, поэтому если разрешение при загрузке не 1024x768, то для корректного добавления картинок в ядро — необходимо добавить/изменить в /etc/lilo.conf строку vga="0x317", вызвать lilo, а после — перезагрузиться. После загрузки повторить пункт 2.3 и сразу перейти к пункту 3. Для ovz ядра поддержка bootsplash недоступна на момент написания.
  3. Запустить lilo и перезагрузить машину.
  4. apt-get dist-upgrade
    Без замены предложило снести 176 пакетов и установить 551 (на тестовой машине с минимальным набором софта — 2 удалить и 231 установить дополнительно). Без замены остались, в основном Gnome-приложения.
    Проблема с fglrx: "file /usr/X11R6/lib/modules/dri/fglrx_dri.so from install of fglrx_glx-8.36.5-alt1 conflicts with file from package fglrx_6_8_0-8.25.18-1"
    Решение: rpm -e fglrx_6_8_0.
    Проблема с dev — не хочет ставиться с запущенным udev, но это не критично
    Решение: (более подробно описано на wiki) после апгрейда сделать:
    service udevd umount
    apt-get install dev
  5. Перезагрузить машину для того, чтобы убедиться, что все загружается. В общем-то перезагружать необязательно, но обновления достаточно масштабные, чтобы потратить ещё пару минут.

Обновление glibc[править]

11.05.2005[править]

Сегодня в Сизиф отправлен glibc-2.3.5-alt1. Единственное заметное на (опытный) глаз — минимальная версия ядра, необходимая для работы, была поднята c 2.2.18 до 2.4.1. Детали, как всегда, в changelog’е. Никаких неожиданностей я не ожидаю. Тем не менее, поскольку эта библиотека используется практически каждым arch-пакетом, а всех их протестировать я даже не пытался, всё, что я не протестировал, остаётся тестировать вам.

Общая часть[править]

Дежурное напоминание всем, у кого установлен пакет glibc-core-i686: При каждом существенном обновлении glibc _необходимо_ удалять пакет glibc-core-i686 на время обновления.

Данное обновление не является исключением. Если вы забудете это сделать, то dist-upgrade пройдёт с добавлением адреналина примерно такого вида: /sbin/glibc_post_upgrade: relocation error: /lib/i686/libc.so.6: symbol _dl_starting_up, version GLIBC_PRIVATE not defined in file ld-linux.so.2 with link time reference error: execution of %post scriptlet from glibc-core-2.3.5-alt1 failed, exit status 127 и далее в том же духе.

Да, ещё одно дежурное напоминание: не забудьте перезапустить все приложения, использующие glibc.

> Чем может быть чревато невыполнение этого?

Relocation error, например, при загрузке nss’овских модулей. Грубо говоря, для сохранения доступа по ssh перезапуск sshd является обязательным.


Dmitry V. Levin

Диагностика проблем безопасности в коде[править]

Если при запуске каких-либо программ вылазит подобное: * glibc detected * double free or corruption или * glibc detected * corrupted double-linked list — вешайте багу на соответствующий пакет!

Perl[править]

Date: Wed, 1 Jun 2005 18:57:31 +0400
From: Alexey Tourbin <at@>
To: Sisyphus discussion list <sisyphus@>
Subject: [sisyphus] Re: perl build && kernel headers

On Wed, Jun 01, 2005 at 12:04:24PM +0300, Artem wrote:
> Собсно- вопрос. Интересно, а с какими хэдерами собирается perl в sisyphus ?

По идее, glibc-kernheaders.

> Скрипт h2ph криво обрабатывает многие из заголовочных файлов (например - 
> kmod.h, etc.)

Если у вас glibc >= 2.3.5, то нужен perl >= 5.8.7.

Примечания[править]

> Да. Это знакомо. Какое ядро было на момент начала обновления? Судя

> по дальнейшему, glibc и паравозик устанавливались на этом же шаге.

да так и есть 2.6.16-std26-up-alt4

забыл дописать, что после второго шага — перезагрузка

— Denis Pynkin в community@


Вчера удалось перейти с 3.0 на Server 4.0 (машина домашняя, используется в качестве workstation)

На момент перехода в системе стояло ядро и модули nvidia из sisyphus полугодичной давности (точно какой срез не скажу, но где то такой вот период). Переход решил осуществить в 2 этапа: перейти с Compact 3.0 на sisyphus полугодичной давности, а потом уже на Server 4.0

1) При переходе руководствовался рекомендациями данного треда. При dist-upgrade попросил разрешение apt на снос порядка 170—200 пакетов (большая часть пакетов это kde*). Я согласился и нажал Y. После dist-upgrade не смог получить при перезагрузке строку для ввода логина и пароля. В ходе разбирательства выяснилось, что apt снес пакет mingetty и login. Загрузившись в init 1 удачно установил mingetty, который потянул за собой login. Дальше не получилось загрузиться в X. По большому счету Х на этом этапе мне не были нужны. Подключив в sources.list репозиторий Server 4.0 предварительно установив пакеты, рекомендуемые в данном треде.

ВНИМАНИЕ: На этапе инсталяции пакета dev вылетела ошибка (начиналась строка ошибки со слова %setup), в результате apt не мог дальше ставить пакеты ссылаясь на проблемму с пакетом dev и порекомендовал набрать apt-get --fix-broken install но никакого положительного результата это не дало. Решение данной проблеммы: в МС зашел в пакет dev и нажал на Upgrade, в результате пакет установился корректно, после этого сделал dist-upgrade.

После этого перезагрузил машину. Х не загрузились. Установив последнее ядро -wks-smp-alt2 и модули nvidia к нему, удалось запустить Х сервер, но без графического менеджера, так как на 1-м этапе было снесено полностью KDE. установив KDE получил в полне работающую систему.

проблеммы которые остались еще:

1) не работает системный звук при загрузке KDE (хотя музыку вчера уже слушал :-)). Подозреваю, что нужно включить системный звук в настройках KDE.

2) В lilo.conf не прописалось root="UUID=..." ещё не подключал flash накопитель, но сегодня постараюсь проверить

Думаю, что то полезное я написал

— Serge в community@